> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get expense rule templates

> Get all expense rules templates



## OpenAPI

````yaml https://dev.hurdlr.com/rest/v1/devUtils/documentation?version=5&Authorization=dexfeE6aRK3zwXP4ku5aWm8w&env=sandbox get /v5/templates/expenses/rules
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.hurdlr.com/rest
    description: Staging Environment
  - url: https://prod.hurdlr.com/rest
    description: Production Environment
security:
  - accessTokenSecurity: []
  - basicSecurity: []
tags:
  - name: Authentication
  - name: Banks
  - name: Business & Client Management
  - name: Invoicing
  - name: Revenue
  - name: Investments
  - name: Payouts
  - name: Bills
  - name: Expenses
  - name: Payroll
  - name: Reports
  - name: Accounting
  - name: Mileage
  - name: Taxes
  - name: Time Tracking
  - name: Imports
  - name: Files
  - name: Accountant
  - name: Audit Trail
  - name: Support
  - name: Tax Engine Express
  - name: Interview Endpoint
  - name: Ledgering
  - name: Configuration
  - name: Templates
paths:
  /v5/templates/expenses/rules:
    get:
      tags:
        - Templates
      summary: Get expense rule templates
      description: Get all expense rules templates
      operationId: getSetupExpenseRules
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SetupExpenseRuleDTOV5'
      security:
        - accessTokenSecurity: []
components:
  schemas:
    SetupExpenseRuleDTOV5:
      required:
        - autoClassify
        - matchType
        - transactionName
        - vendorName
      type: object
      properties:
        id:
          type: integer
          description: Id of the rule
          format: int64
        transactionName:
          type: string
          description: >-
            Name used to match expenses to this rule, required if vendor is not
            supplied
        vendorName:
          type: string
          description: Name of the vendor associated with this rule.
        autoClassify:
          type: string
          description: How to classify expenses that meet this rule
          enum:
            - 'OFF'
            - BUSINESS
            - NOT_BUSINESS
        status:
          type: string
          description: Status of this rule
          enum:
            - ACTIVE
            - INACTIVE
        matchType:
          type: string
          description: How to match expenses with this rule
          enum:
            - EXACT_NAME
            - NON_EXACT_NAME
        categoryName:
          type: string
          description: >-
            Name of the category this rule associates expenses with, required
            for business rules
        personalCategoryName:
          type: string
          description: Name of the personal category this rule associates expenses with
        suggestedStatus:
          type: string
          description: >-
            Whether this rule has been accepted, relevant for auto-generated
            rules
          enum:
            - PENDING
            - ACCEPTED
            - DECLINED
            - DELETED
  securitySchemes:
    accessTokenSecurity:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: /auth/account
          scopes:
            write: ''

````